Bug 841547 - dependency problem in python
dependency problem in python
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dave Malcolm
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 07:22 EDT by Toni Willberg
Modified: 2013-03-21 01:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 01:07:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2012-07-19 07:22:38 EDT
Description of problem:

 cannot update python due depsolving problems

Version-Release number of selected component (if applicable):

 rhel-server-5.8-x86_64-dvd.iso

How reproducible:


Steps to Reproduce:
1. installed RHEL 5.8 x86_64 from ISO, downloaded today
2. registered to RHN
3. yum update 
4. yum update python
  
Actual results:

 #3 failed
 #4 fails

Expected results:

 no errors

Additional info:
 dependency check fails on libxml2-python-2.6.26-2.1.15 and gamin-python-0.1.7-10,
 they both depend on /usr/lib64/python2.4
Comment 1 Toni Willberg 2012-07-19 07:24:05 EDT
python-2.4.3-46.el5
libxml2-python-2.6.26-2.1.12.el5_7.2
gamin-python-0.1.7-10.el5
Comment 2 Dave Malcolm 2013-02-27 13:31:01 EST
My guess is that you had 32-bit rpms of
  libxml2-python-2.6.26-2.1.12.el5_7.2
  gamin-python-0.1.7-10.el5

Unfortunately rpm in RHEL 5 doesn't show the arch of the packages.

What is the output of:

rpm -qa --qf="%{name}-%{version}-%{release}.%{arch}\n" gamin-python libxml2-python

See bug 625372
Comment 5 RHEL Product and Program Management 2013-03-21 01:07:07 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.